# OnnxRuntime: Ort::SequenceTypeInfo Struct Reference

Loading...
Searching...
No Matches
Ort::SequenceTypeInfo Struct Reference

Wrapper around OrtSequenceTypeInfo. More...

`#include <onnxruntime_cxx_api.h>`

Inheritance diagram for Ort::SequenceTypeInfo:

## Public Member Functions

| SequenceTypeInfo (std::nullptr_t)
| Create an empty SequenceTypeInfo object, must be assigned a valid one to be used.
| SequenceTypeInfo (OrtSequenceTypeInfo *p)
| Used for interop with the C API.
ConstSequenceTypeInfo | GetConst () const
Public Member Functions inherited from Ort::detail::SequenceTypeInfoImpl< OrtSequenceTypeInfo >
TypeInfo | GetSequenceElementType () const
| Wraps OrtApi::GetSequenceElementType.
Public Member Functions inherited from Ort::detail::Base< T >
constexpr | Base ()=default
constexpr | Base (contained_type *p) noexcept
| ~Base ()
| Base (const Base &)=delete
Base & | operator= (const Base &)=delete
| Base (Base &&v) noexcept
Base & | operator= (Base &&v) noexcept
constexpr | operator contained_type * () const noexcept
contained_type * | release ()
| Relinquishes ownership of the contained C object pointer The underlying object is not destroyed.

## Additional Inherited Members

Public Types inherited from Ort::detail::SequenceTypeInfoImpl< OrtSequenceTypeInfo >
using | B = Base< OrtSequenceTypeInfo >
Public Types inherited from Ort::detail::Base< T >
using | contained_type = T
Protected Attributes inherited from Ort::detail::Base< T >
contained_type * | p_ {}

## Detailed Description

Wrapper around OrtSequenceTypeInfo.

## Constructor & Destructor Documentation

## SequenceTypeInfo() [1/2]

Ort::SequenceTypeInfo::SequenceTypeInfo | ( | std::nullptr_t |  | ) |

inlineexplicit

Create an empty SequenceTypeInfo object, must be assigned a valid one to be used.

## SequenceTypeInfo() [2/2]

Ort::SequenceTypeInfo::SequenceTypeInfo | ( | OrtSequenceTypeInfo * | p | ) |

inlineexplicit

Used for interop with the C API.

## Member Function Documentation

## GetConst()

ConstSequenceTypeInfo Ort::SequenceTypeInfo::GetConst | ( |  | ) | const

inline